Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 591993 - crash on VLA bound referencing optimized-out variable
Summary: crash on VLA bound referencing optimized-out variable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdb
Version: 6.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jan Kratochvil
QA Contact: Petr Muller
URL:
Whiteboard: abrt_hash:1d39d08e754518f5d5477c2b81b...
Depends On: 591879
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 16:13 UTC by Jan Kratochvil
Modified: 2016-09-20 02:06 UTC (History)
4 users (show)

Fixed In Version: gdb-7.1-21.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 591879
Environment:
Last Closed: 2010-07-02 19:08:09 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Kratochvil 2010-05-13 16:13:51 UTC
+++ This bug was initially created as a clone of Bug #591879 +++

abrt 1.1.0 detected a crash.

Was attempting to debug empathy:

(gdb) print *context->groups->data
Segmentation fault (core dumped)

--- Additional comment from jan.kratochvil@redhat.com on 2010-05-13 12:10:23 EDT ---

Great bugreport, thanks.
Checked-in now in archer-jankratochvil-vla as:
a683bac73af74a757591672d89d720169c0b5ec9

New testcase:
PASS: gdb.dwarf2/dw2-bound-loclist.exp: p b_string
PASS: gdb.dwarf2/dw2-bound-loclist.exp: ptype b_string

Comment 1 RHEL Program Management 2010-05-13 16:37:04 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 releng-rhel@redhat.com 2010-07-02 19:08:09 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.